<?xml version='1.0' encoding='utf-8'?>
<FilingSummary>
  <Version>3.20.2</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>236</ContextCount>
  <ElementCount>328</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>60</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>6</UnitCount>
  <MyReports>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>0001000 - Document - Cover Page</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/CoverPage</Role>
      <ShortName>Cover Page</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>1001000 - Statement - UNAUDITED CONDENSED CONSOLIDATED STATEMENTS OF OPERATIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/UnauditedCondensedConsolidatedStatementsOfOperations</Role>
      <ShortName>UNAUDITED CONDENSED CONSOLIDATED STATEMENTS OF OPERATIONS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>1002000 - Statement - UNAUDITED CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (LOSS)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/UnauditedConsolidatedStatementsOfComprehensiveIncomeLoss</Role>
      <ShortName>UNAUDITED CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (LOSS)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>1004000 - Statement - UNAUDITED CONDENSED CONSOLIDATED BALANCE SHEETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/UnauditedCondensedConsolidatedBalanceSheets</Role>
      <ShortName>UNAUDITED CONDENSED CONSOLIDATED BALANCE SHEETS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>1004501 - Statement - UNAUDITED CONDENSED CONSOLIDATED BALANCE SHEETS (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/UnauditedCondensedConsolidatedBalanceSheetsParenthetical</Role>
      <ShortName>UNAUDITED CONDENSED CONSOLIDATED BALANCE SHEETS (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>1005000 - Statement - UNAUDITED CONDENSED CONSOLIDATED STATEMENTS OF CASH FLOWS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/UnauditedCondensedConsolidatedStatementsOfCashFlows</Role>
      <ShortName>UNAUDITED CONDENSED CONSOLIDATED STATEMENTS OF CASH FLOWS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>1006000 - Statement - UNAUDITED CONDENSED CONSOLIDATED STATEMENTS OF SHAREHOLDERS' DEFICIT</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/UnauditedCondensedConsolidatedStatementsOfShareholdersDeficit</Role>
      <ShortName>UNAUDITED CONDENSED CONSOLIDATED STATEMENTS OF SHAREHOLDERS' DEFICIT</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>2101100 - Disclosure - Basis of Presentation and Recent Developments</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/BasisOfPresentationAndRecentDevelopments</Role>
      <ShortName>Basis of Presentation and Recent Developments</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>2102100 - Disclosure - Acquisitions and Dispositions</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/AcquisitionsAndDispositions</Role>
      <ShortName>Acquisitions and Dispositions</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>2103100 - Disclosure - Revenue</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/Revenue</Role>
      <ShortName>Revenue</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>2104100 - Disclosure - Income (Loss) Per Common Share</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/IncomeLossPerCommonShare</Role>
      <ShortName>Income (Loss) Per Common Share</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>2105100 - Disclosure - Deferred Acquisition Consideration</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/DeferredAcquisitionConsideration</Role>
      <ShortName>Deferred Acquisition Consideration</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>2106100 - Disclosure - Leases</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/Leases</Role>
      <ShortName>Leases</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>2107100 - Disclosure - Debt</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/Debt</Role>
      <ShortName>Debt</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>2108100 - Disclosure - Noncontrolling and Redeemable Noncontrolling Interests</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/NoncontrollingAndRedeemableNoncontrollingInterests</Role>
      <ShortName>Noncontrolling and Redeemable Noncontrolling Interests</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>2109100 - Disclosure - Commitments, Contingencies and Guarantees</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/CommitmentsContingenciesAndGuarantees</Role>
      <ShortName>Commitments, Contingencies and Guarantees</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>2110100 - Disclosure - Share Capital</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/ShareCapital</Role>
      <ShortName>Share Capital</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>2112100 - Disclosure - Fair Value Measurements</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/FairValueMeasurements</Role>
      <ShortName>Fair Value Measurements</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>2113100 - Disclosure - Supplemental Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/SupplementalInformation</Role>
      <ShortName>Supplemental Information</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>19</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>2114100 - Disclosure - Related Party Transactions</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/RelatedPartyTransactions</Role>
      <ShortName>Related Party Transactions</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>20</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>2116100 - Disclosure - Segment Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/SegmentInformation</Role>
      <ShortName>Segment Information</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>21</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>2303301 - Disclosure - Revenue (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/RevenueTables</Role>
      <ShortName>Revenue (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/Revenue</ParentRole>
      <Position>22</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>2304301 - Disclosure - Income (Loss) Per Common Share  (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/IncomeLossPerCommonShareTables</Role>
      <ShortName>Income (Loss) Per Common Share  (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/IncomeLossPerCommonShare</ParentRole>
      <Position>23</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>2305301 - Disclosure - Deferred Acquisition Consideration (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/DeferredAcquisitionConsiderationTables</Role>
      <ShortName>Deferred Acquisition Consideration (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/DeferredAcquisitionConsideration</ParentRole>
      <Position>24</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>2306301 - Disclosure - Leases (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/LeasesTables</Role>
      <ShortName>Leases (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/Leases</ParentRole>
      <Position>25</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>2307301 - Disclosure - Debt (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/DebtTables</Role>
      <ShortName>Debt (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/Debt</ParentRole>
      <Position>26</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>2308301 - Disclosure - Noncontrolling and Redeemable Noncontrolling Interests (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/NoncontrollingAndRedeemableNoncontrollingInterestsTables</Role>
      <ShortName>Noncontrolling and Redeemable Noncontrolling Interests (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/NoncontrollingAndRedeemableNoncontrollingInterests</ParentRole>
      <Position>27</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>2312301 - Disclosure - Fair Value Measurements (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/FairValueMeasurementsTables</Role>
      <ShortName>Fair Value Measurements (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/FairValueMeasurements</ParentRole>
      <Position>28</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>2313301 - Disclosure - Supplemental Information (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/SupplementalInformationTables</Role>
      <ShortName>Supplemental Information (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/SupplementalInformation</ParentRole>
      <Position>29</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>2316301 - Disclosure - Segment Information (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/SegmentInformationTables</Role>
      <ShortName>Segment Information (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/SegmentInformation</ParentRole>
      <Position>30</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>2401401 - Disclosure - Basis of Presentation and Recent Developments (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/BasisOfPresentationAndRecentDevelopmentsDetails</Role>
      <ShortName>Basis of Presentation and Recent Developments (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/BasisOfPresentationAndRecentDevelopments</ParentRole>
      <Position>31</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>2402402 - Disclosure - Acquisitions and Dispositions (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/AcquisitionsAndDispositionsDetailsTextual</Role>
      <ShortName>Acquisitions and Dispositions (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/AcquisitionsAndDispositions</ParentRole>
      <Position>32</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>2403402 - Disclosure - Revenue - Disaggregation of Revenue (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/RevenueDisaggregationOfRevenueDetails</Role>
      <ShortName>Revenue - Disaggregation of Revenue (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>33</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>2403403 - Disclosure - Revenue - Contract Assets and Liabilities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/RevenueContractAssetsAndLiabilitiesDetails</Role>
      <ShortName>Revenue - Contract Assets and Liabilities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>34</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>2404402 - Disclosure - Income (Loss) Per Common Share (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/IncomeLossPerCommonShareDetails</Role>
      <ShortName>Income (Loss) Per Common Share (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/IncomeLossPerCommonShareTables</ParentRole>
      <Position>35</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>2404403 - Disclosure - Income (Loss) Per Common Share (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/IncomeLossPerCommonShareDetailsTextual</Role>
      <ShortName>Income (Loss) Per Common Share (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/IncomeLossPerCommonShareTables</ParentRole>
      <Position>36</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>2405402 - Disclosure - Deferred Acquisition Consideration (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/DeferredAcquisitionConsiderationDetails</Role>
      <ShortName>Deferred Acquisition Consideration (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/DeferredAcquisitionConsiderationTables</ParentRole>
      <Position>37</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>2406402 - Disclosure - Leases - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/LeasesAdditionalInformationDetails</Role>
      <ShortName>Leases - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>38</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>2406403 - Disclosure - Leases - Lease Costs and Other Quantitative Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/LeasesLeaseCostsAndOtherQuantitativeInformationDetails</Role>
      <ShortName>Leases - Lease Costs and Other Quantitative Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>39</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>2406404 - Disclosure - Leases - Minimum Future Rental Payments (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/LeasesMinimumFutureRentalPaymentsDetails</Role>
      <ShortName>Leases - Minimum Future Rental Payments (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>40</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>2407403 - Disclosure - Debt (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/DebtDetailsTextual</Role>
      <ShortName>Debt (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/DebtTables</ParentRole>
      <Position>41</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>2408402 - Disclosure - Noncontrolling and Redeemable Noncontrolling Interests (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/NoncontrollingAndRedeemableNoncontrollingInterestsDetailsTextual</Role>
      <ShortName>Noncontrolling and Redeemable Noncontrolling Interests (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/NoncontrollingAndRedeemableNoncontrollingInterestsTables</ParentRole>
      <Position>42</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>2408403 - Disclosure - Noncontrolling and Redeemable Noncontrolling Interests - Changes in Amounts Due to Noncontrolling Interest (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/NoncontrollingAndRedeemableNoncontrollingInterestsChangesInAmountsDueToNoncontrollingInterestDetails</Role>
      <ShortName>Noncontrolling and Redeemable Noncontrolling Interests - Changes in Amounts Due to Noncontrolling Interest (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>43</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>2408404 - Disclosure - Noncontrolling and Redeemable Noncontrolling Interests - Changes in Noncontrolling Interests (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/NoncontrollingAndRedeemableNoncontrollingInterestsChangesInNoncontrollingInterestsDetails</Role>
      <ShortName>Noncontrolling and Redeemable Noncontrolling Interests - Changes in Noncontrolling Interests (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>44</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>2408405 - Disclosure - Noncontrolling and Redeemable Noncontrolling Interests - Changes in Redeemable Noncontrolling Interests (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/NoncontrollingAndRedeemableNoncontrollingInterestsChangesInRedeemableNoncontrollingInterestsDetails</Role>
      <ShortName>Noncontrolling and Redeemable Noncontrolling Interests - Changes in Redeemable Noncontrolling Interests (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>45</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>2409401 - Disclosure - Commitments, Contingencies and Guarantees (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/CommitmentsContingenciesAndGuaranteesDetailsTextual</Role>
      <ShortName>Commitments, Contingencies and Guarantees (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/CommitmentsContingenciesAndGuarantees</ParentRole>
      <Position>46</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>2410401 - Disclosure - Share Capital (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/ShareCapitalDetailsTextual</Role>
      <ShortName>Share Capital (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/ShareCapital</ParentRole>
      <Position>47</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>2412402 - Disclosure - Fair Value Measurements (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/FairValueMeasurementsDetails</Role>
      <ShortName>Fair Value Measurements (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/FairValueMeasurementsTables</ParentRole>
      <Position>48</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>2413402 - Disclosure - Supplemental Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/SupplementalInformationDetails</Role>
      <ShortName>Supplemental Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/SupplementalInformationTables</ParentRole>
      <Position>49</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>2413403 - Disclosure - Supplemental Information - Statements of Operations (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/SupplementalInformationStatementsOfOperationsDetails</Role>
      <ShortName>Supplemental Information - Statements of Operations (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>50</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>2413404 - Disclosure - Supplemental Information - Balance Sheets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/SupplementalInformationBalanceSheetsDetails</Role>
      <ShortName>Supplemental Information - Balance Sheets (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>51</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>2414401 - Disclosure - Related Party Transactions (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/RelatedPartyTransactionsDetails</Role>
      <ShortName>Related Party Transactions (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/RelatedPartyTransactions</ParentRole>
      <Position>52</Position>
    </Report>
    <Report instance="mdca-20200630x10q.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>2416402 - Disclosure - Segment Information (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.mdc-partners.com/role/SegmentInformationDetails1</Role>
      <ShortName>Segment Information (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.mdc-partners.com/role/SegmentInformationTables</ParentRole>
      <Position>53</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File doctype="10-Q" original="mdca-20200630x10q.htm">mdca-20200630x10q.htm</File>
    <File>mdca-20200630.xsd</File>
    <File>mdca-20200630_cal.xml</File>
    <File>mdca-20200630_def.xml</File>
    <File>mdca-20200630_lab.xml</File>
    <File>mdca-20200630_pre.xml</File>
    <File>mdca-20200630xexhibit3.htm</File>
    <File>mdca-20200630xexhibit311.htm</File>
    <File>mdca-20200630xexhibit312.htm</File>
    <File>mdca-20200630xexhibit321.htm</File>
    <File>mdca-20200630xexhibit9.htm</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies>
    <BaseTaxonomy>http://fasb.org/srt/2019-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://fasb.org/us-gaap/2019-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://xbrl.sec.gov/dei/2019-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://xbrl.sec.gov/country/2017-01-31</BaseTaxonomy>
  </BaseTaxonomies>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
